# Functor Kruskal.Generic

    module Generic: functor (G : G) -> functor (W : Sig.ORDERED_TYPE  with type t = G.E.label) -> functor (UF : UNIONFIND  with type elt = G.V.t) -> sig .. end

Functor providing an implementation of Kruskal's minimum-spanning-tree algorithm using a user-defined union-find algorithm. Parameter `W` ensures that label on edges are comparable.

Parameters:

`G` | : | `G`
`W` | : | `Sig.ORDERED_TYPE with type t = G.E.label`
`UF` | : | `UNIONFIND with type elt = G.V.t`

    val spanningtree : Kruskal.G.t -> Kruskal.G.E.t list